TechDraw Nouvelle page selon modèle

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page TechDraw New Pick and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎română • ‎русский


Cette commande existe jusqu'à la version 0.18. À partir de la version 0.19, elle est remplacée par TechDraw Page à partir d'un modèle


Arrow-left.svg Page précédente: TechDraw New Default.svg Nouvelle page par défaut
Page suivante: Nouvelle vue Techdraw-view.png Arrow-right.svg

TechDraw New Pick.svg TechDraw Nouvelle page selon modèle

Emplacement du menu
TechDraw → Nouvelle page selon modèle
Ateliers
TechDraw
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
TechDraw Nouvelle page par défaut, TechDraw Modèles


Description

L'outil Nouvelle page selon Modèle crée une nouvelle page à l'aide du fichier Modèle sélectionné dans une boîte de dialogue.

Le répertoire de départ de la boîte de dialogue peut être spécifié dans les Préférences.

A4 Landscape ISO7200 Pep.svg

L'un des modèles fournis avec TechDraw: A4 ISO 7200_Pep, page orientée paysage, avec des champs de texte modifiables


Utilisation

  1. Appuyez sur le bouton TechDraw New Pick.svg Nouvelle page selon modèle

Propriétés

  • DonnéesProjection Type: Type de projection par défaut (premier ou troisième angle (ou dièdre)) pour cette Page.
  • DonnéesScale: Échelle par défaut pour les Vues dans cette Page.

Script

Voir aussi: TechDraw API et FreeCAD Script de Base.

L'outil Nouvelle page selon Modèle peut être utilisé dans des macros et depuis la console Python en utilisant les fonctions suivantes :

templateFileSpec = QtGui.QFileDialog.getOpenFileName(self.baseWidget,
                                                     dialogCaption, 
                                                     dialogDir,
                                                     dialogFilter)
page = FreeCAD.ActiveDocument.addObject('TechDraw::DrawPage','Page')
template = FreeCAD.ActiveDocument.addObject('TechDraw::DrawSVGTemplate','Template')
template.Template = templateFileSpec
page.Template = FreeCAD.ActiveDocument.Template
  • Crée une nouvelle Page dans le document courant

Champs de texte éditables

Voir aussi: TechDraw Modèles pour plus d'informations sur la création de modèles.

Voir les informations dans TechDraw Nouvelle page par défaut pour modifier manuellement les champs de texte modifiables dans le code de la feuille.

Arrow-left.svg Page précédente: TechDraw New Default.svg Nouvelle page par défaut
Page suivante: Nouvelle vue Techdraw-view.png Arrow-right.svg